Microsoft Cognitive Services client SDK and samples
====================================

This repo contains the client libraries and samples that demonstrate the [Microsoft Cognitive Services](<https://www.microsoft.com/cognitive-services>), which includes the former Project Oxford APIs.
This is an evolving portfolio of REST APIs that enable developers to leverage the power of Microsoft's natural data
understanding and easily add intelligent services into their solutions. The repo contains client SDK for the following areas:  

##### Vision
-  **[Computer Vision APIs](<https://www.microsoft.com/cognitive-services/en-us/computer-vision-api>) (Preview):** Distill actionable information from images
-  **[Emotion APIs](<https://www.microsoft.com/cognitive-services/en-us/emotion-api>) (Preview):** Personalize experiences with emotion recognition
-  **[Face APIs](<https://www.microsoft.com/cognitive-services/en-us/face-api>) (Preview):** Detect, identify, analyze, organize, and tag faces in photos
-  **[Video APIs](<https://www.microsoft.com/cognitive-services/en-us/video-api>) (Preview):** Analyze, edit, and process videos within your app

##### Speech
-  **[Speaker Recognition APIs](<https://www.microsoft.com/cognitive-services/en-us/speaker-recognition-api>) (Preview):** Give your app the ability to know who's talking
-  **[Speech APIs](<https://www.microsoft.com/cognitive-services/en-us/speech-api>) (Preview):** Convert speech to text and back again, and understand its intent


##### Language
-  **[LUIS, Language Understanding Intelligent Services](<https://www.microsoft.com/cognitive-services/en-us/language-understanding-intelligent-service-luis>) (Preview):** Teach your apps to understand commands from your users
-  **[Linguistic Analysis APIs](<https://www.microsoft.com/cognitive-services/en-us/linguistic-analysis-api>) (Preview):** Easily parse complex text with language analysis
-  **[Web Language Model APIs](<https://www.microsoft.com/cognitive-services/en-us/web-language-model-api>) (Preview):** Leverage the power of language models trained on web-scale data

##### Knowledge
-  **[Entity Linking APIS](<https://www.microsoft.com/cognitive-services/en-us/entity-linking-intelligence-service>) (Preview):** Contextually extend knowledge of people, locations, and events

To see the full list of APIs, please visit [Microsoft Cognitive Service APIs](<https://www.microsoft.com/cognitive-services/en-us/apis>).

To learn more and sign-up for Microsoft Cognitive Services, [visit our
website](<https://www.microsoft.com/cognitive-services>). You must obtain subscription
keys for different services and will need a Microsoft account.

#### For information about our latest release, check out the [Release Page](<https://github.com/Microsoft/ProjectOxford-ClientSDK/releases>)

Getting started
===============
This repo contains a suite of SDKs that includes REST wrappers and samples to
develop using the Microsoft Cognitive Services APIs. Each SDK includes a guide for
installation and use. To begin, select an API and pick the platform of
your choice:

-   [Computer Vision](</Vision/>)

-   [Emotion](</Emotion/>)

-   [Entity Linking](</EntityLinking/>)

-   [Face](</Face/>)

-   [Linguistic Analysis](</LinguisticAnalysis/>)

-   [Speech](</Speech/>)

-   [Speaker Recognition](</SpeakerRecognition/>)

-   [Video](</Video/>)

-   [Web Language Model](</WebLM/>)

**Don't see what you're looking for?** We're working on expanding our offerings and would love to hear from you what SDKs you want to see next. Let us know on the [Cognitive Services UserVoice Forum](<https://cognitive.uservoice.com>).


Contributing
============
We welcome contributions and are always looking for new SDKs, input, and
suggestions. Feel free to file issues on the repo and we'll address them as we can. You can also learn more about how you can help on the [Contribution
Rules & Guidelines](</CONTRIBUTING.md>).

For questions, feedback, or suggestions about Microsoft Cognitive Services, reach out to us directly on our [Cognitive Services UserVoice Forum](<https://cognitive.uservoice.com>).



License
=======

All Microsoft Cognitive Services SDKs and samples are licensed with the MIT License. For more details, see
[LICENSE](</LICENSE.md>).

Sample images are licensed separately, please refer to [LICENSE-IMAGE](</LICENSE-IMAGE.md>).
